Create a new flow
Initialize a new identity verification flow for a specific person. Requires a person identifier and can be customized with specific templates, locales, and initial data. Returns a unique flow identifier and a 'vlink' — a URL to the hosted verification interface that can be used for user redirection or embedded via iframe.
curl -X POST "https://demo.verigram.kz/flow" \
-H "X-Verigram-Api-Key: $IDENTIFICATION_SAAS_API_KEY" \
-H "X-Verigram-Api-Version: 2.0.0" \
-H "Content-Type: application/json" \
-d '{
"person_id": "string"
}'Авторизация
X-Verigram-Api-KeystringheaderобязательноAPI key in the X-Verigram-Api-Key header
Параметры
X-Verigram-Api-VersionstringheaderобязательноRequired API version header.
Значение по умолчанию:2.0.0
Тело
person_idstringобязательноIdentifier of a person associated with the session. Alphanumeric string.
callback_urlstring<uri>Frontend callback URL the user will be redirected to after the flow is completed.
localeenum<string>Locale. Default is English
Одно из:kkruenЗначение по умолчанию:eninput_dataFlowInputDataInput data necessary for the steps of the pipeline
templateFlowTemplateFlow template definition
template_idstringTemplate ID
Ответ
An object with flow id and link to the hosted frontend.
flow_idstringIdentifier of the created flow
vlinkstringAn HTTP URL that can be used for user redirection or embedded within your frontend application via iframe or webview.
{
"flow_id": "string",
"vlink": "string"
}